GetSubClustersResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: GetSubClustersResponsePBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class GetSubClustersResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.GetSubClustersResponse
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.GetSubClustersResponsePBImpl

public class GetSubClustersResponsePBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.GetSubClustersResponse
The class is responsible for get subclusters responses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSubClustersResponsePBImpl()`
  `GetSubClustersResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.GetSubClustersResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationSubCluster>`
  `getFederationSubClusters()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.GetSubClustersResponseProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setFederationSubClusters(List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationSubCluster> pFederationSubClusters)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.GetSubClustersResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetSubClustersResponsePBImpl

    public GetSubClustersResponsePBImpl()

  - ### GetSubClustersResponsePBImpl

    public GetSubClustersResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.GetSubClustersResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.GetSubClustersResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFederationSubClusters

    public List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationSubCluster> getFederationSubClusters()
    Specified by:
      `getFederationSubClusters` in class `org.apache.hadoop.yarn.server.api.protocolrecords.GetSubClustersResponse`

  - ### setFederationSubClusters

    public void setFederationSubClusters(List<org.apache.hadoop.yarn.server.api.protocolrecords.FederationSubCluster> pFederationSubClusters)
    Specified by:
      `setFederationSubClusters` in class `org.apache.hadoop.yarn.server.api.protocolrecords.GetSubClustersResponse`